#pragma once
#include <unordered_map>
#include "../base/interface.hpp"

namespace lsp::provider::code_lens
{
    class Resolve : public IRequestProvider
    {
    public:
        Resolve() = default;

        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        std::string ProvideResponse(const protocol::RequestMessage& request, ExecutionContext& context) override;
    };
}
